package com.ynet.life.mvc;

import com.google.gson.JsonParser;
import com.ynet.gene.core.Context;
import com.ynet.life.base.TEntity;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;
import java.util.Map.Entry;
import javax.servlet.http.HttpServletRequest;
import org.dom4j.DocumentException;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;
import org.dom4j.Node;

public class MVCDataParseUtil {

   public static String getJsonCdValueByKey(String reValue, String key) {
      try {
         if(reValue.indexOf("jsonFlickrFeed") != -1) {
            int beginPos = reValue.indexOf("(");
            int endPos = reValue.lastIndexOf(")");
            reValue = reValue.substring(beginPos + 1, endPos);
         }

         reValue = (new JsonParser()).parse(reValue).getAsJsonObject().get(TEntity.json_cd).getAsJsonObject().get(key).toString().replace("\"", "");
      } catch (Exception var4) {
         var4.printStackTrace();
         reValue = "";
      }

      return reValue;
   }

   public static String getJsonEcValue(String reValue) {
      try {
         if(reValue.indexOf("jsonFlickrFeed") != -1) {
            int beginPos = reValue.indexOf("(");
            int endPos = reValue.lastIndexOf(")");
            reValue = reValue.substring(beginPos + 1, endPos);
         }

         reValue = (new JsonParser()).parse(reValue).getAsJsonObject().get(TEntity.json_ec).toString().replace("\"", "");
      } catch (Exception var3) {
         var3.printStackTrace();
         reValue = "";
      }

      return reValue;
   }

   public static Map readStringXmlOut(String iters) throws DocumentException {
      HashMap map = new HashMap();
      Iterator var7 = DocumentHelper.parseText(iters).getRootElement().elementIterator("cd");

      while(var7.hasNext()) {
         Element itemEle;
         int i;
         if((i = (itemEle = (Element)var7.next()).nodeCount()) > 0) {
            int length = i;
            if(i > 1) {
               length = i - 1;
            }

            for(i = 0; i < length; ++i) {
               Node value;
               String key = (value = itemEle.node(i)).getName();
               String var8 = value.getStringValue();
               map.put(key, var8);
            }
         }
      }

      return map;
   }

   public static void setValueFromMVC(HttpServletRequest iter, Context context) {
      Iterator var6 = iter.getParameterMap().entrySet().iterator();

      while(var6.hasNext()) {
         Entry values;
         String key = (values = (Entry)var6.next()).getKey().toString();
         if(!TEntity.PB_REQUEST_FILTER.contains(key)) {
            String value = "";
            Object var7;
            if((var7 = values.getValue()) == null) {
               value = "";
            } else if(var7 instanceof String[]) {
               String[] var8 = (String[])var7;

               for(int i = 0; i < var8.length; ++i) {
                  value = value + var8[i] + ",";
               }

               value = value.substring(0, value.length() - 1);
            } else {
               value = var7.toString();
            }

            context.put(key, value);
         }
      }

   }

   public static void setValueFromMVC2Map(HttpServletRequest iter, Context context) {
      Map var7 = iter.getParameterMap();
      HashMap paras = new HashMap();
      Iterator var8 = var7.entrySet().iterator();

      while(var8.hasNext()) {
         Entry values;
         String key = (values = (Entry)var8.next()).getKey().toString();
         String value = "";
         if(key.indexOf("[]") != -1) {
            key = key.substring(0, key.length() - 2);
         }

         if(!TEntity.PB_REQUEST_FILTER.contains(key)) {
            Object var9;
            if((var9 = values.getValue()) == null) {
               value = "";
            } else if(var9 instanceof String[]) {
               String[] var10 = (String[])var9;

               for(int i = 0; i < var10.length; ++i) {
                  value = value + var10[i] + ",";
               }

               value = value.substring(0, value.length() - 1);
            } else {
               value = var9.toString();
            }

            paras.put(key, value);
         }
      }

      context.put(TEntity.PARA_REQ_MAP, paras);
   }

   public static Map getPostParamsMap(HttpServletRequest iter) {
      Map var6 = iter.getParameterMap();
      HashMap paramsMap = new HashMap();

      String key;
      String value;
      for(Iterator var7 = var6.entrySet().iterator(); var7.hasNext(); paramsMap.put(key, value)) {
         Entry values;
         key = (values = (Entry)var7.next()).getKey().toString();
         value = "";
         Object var8 = values.getValue();
         if(key.indexOf("[]") != -1) {
            key = key.substring(0, key.length() - 2);
         }

         if(var8 == null) {
            value = "";
         } else if(var8 instanceof String[]) {
            String[] var9 = (String[])var8;

            for(int i = 0; i < var9.length; ++i) {
               value = value + var9[i] + ",";
            }

            value = value.substring(0, value.length() - 1);
         } else {
            value = var8.toString();
         }
      }

      return paramsMap;
   }

   public static void main(String[] xml) {
      String xml1 = "jsonFlickrFeed({\"ec\":\"0\",\"em\":\"成功\",\"cd\":{\"prid \": \"AC00000000\",\"customerId\":\"100000000\",\"hostCustNo\":\"111000000\",\"customerType \":\"01\",\"mobileNo\":\"1319892832\",\"customerStt\":\"0\",\"customerSafeStyle \":\"01\",\"customerLevel\":\"0\",\"customerStyle\":\"01\",\"customerIconPath\":\"01\",\"prQuesReset\":\"0\",\"passReset\":\"0\",\"customerName\":\"张三\",\"customerAlias\":\"淘小二\"}})";
      new MVCDataParseUtil();
      getJsonCdValueByKey(xml1, "customerId");
      xml1 = "<?xml version=\"1.0\" encoding=\"UTF-8\" ?><root><rncode>0</rncode><remark >成功</remark><cd><prid>AC00000000</prid> <customerId>100000000</customerId> <hostCustNo>111000000</hostCustNo><customerType>01</customerType> <mobileNo>1319892832</mobileNo> <customerStt>0</customerStt> <customerSafeStyle>01</customerSafeStyle> <customerLevel>0</customerLevel> <customerStyle></customerStyle><customerIconPath></customerIconPath><prQuesReset>0</prQuesReset><passReset>0</passReset> <customerName>张三</customerName><customerAlias>淘小二</customerAlias> </cd></root>";

      try {
         readStringXmlOut(xml1);
      } catch (DocumentException var1) {
         var1.printStackTrace();
      }
   }
}
